Bulk Remove a List of Issues
Permanently remove the given issues. The list of issues to modify is given through the id query parameter. It is repeated for each issue that should be removed.
If any IDs are out of scope this operation will succeed without any data mutation.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the issues belong to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the issues belong to.
Query Parameters:
id(integer)A list of IDs of the issues to be removed. This parameter shall be repeated for each issue, e.g.
?id=1&id=2&id=3. If this parameter is not provided, it will attempt to remove the first 1000 issues.query(string)An optional Sentry structured search query that selects the issues to remove when
idis not provided. If not provided an implied"is:unresolved"is assumed. Useis:<status>(e.g.is:resolved) to limit it to issues with that status.
Scopes
<auth_token> requires one of the following scopes:event:admin
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/issues/ \ -H 'Authorization: Bearer <auth_token>' \ -X DELETE
CopiedSuccess.